Package com.enonic.xp.content

## Class ContentVersion.Builder

- java.lang.Object
- - com.enonic.xp.content.ContentVersion.Builder

- Enclosing class:
    ContentVersion

      public static final class ContentVersion.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentVersion` | `build()` |
    `ContentVersion.Builder` | `childOrder​(ChildOrder childOrder)` |
    `ContentVersion.Builder` | `comment​(String comment)` |
    `ContentVersion.Builder` | `displayName​(String displayName)` |
    `ContentVersion.Builder` | `id​(ContentVersionId id)` |
    `ContentVersion.Builder` | `inheritPermissions​(boolean inheritPermissions)` |
    `ContentVersion.Builder` | `modified​(Instant modified)` |
    `ContentVersion.Builder` | `modifier​(PrincipalKey modifier)` |
    `ContentVersion.Builder` | `path​(ContentPath path)` |
    `ContentVersion.Builder` | `permissions​(AccessControlList permissions)` |
    `ContentVersion.Builder` | `publishInfo​(ContentVersionPublishInfo publishInfo)` |
    `ContentVersion.Builder` | `timestamp​(Instant timestamp)` |
    `ContentVersion.Builder` | `workflowInfo​(WorkflowInfo workflowInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### id

          public ContentVersion.Builder id​(ContentVersionId id)

    - #### modifier

          public ContentVersion.Builder modifier​(PrincipalKey modifier)

    - #### displayName

          public ContentVersion.Builder displayName​(String displayName)

    - #### path

          public ContentVersion.Builder path​(ContentPath path)

    - #### modified

          public ContentVersion.Builder modified​(Instant modified)

    - #### timestamp

          public ContentVersion.Builder timestamp​(Instant timestamp)

    - #### childOrder

          public ContentVersion.Builder childOrder​(ChildOrder childOrder)

    - #### comment

          public ContentVersion.Builder comment​(String comment)

    - #### publishInfo

          public ContentVersion.Builder publishInfo​(ContentVersionPublishInfo publishInfo)

    - #### workflowInfo

          public ContentVersion.Builder workflowInfo​(WorkflowInfo workflowInfo)

    - #### permissions

          public ContentVersion.Builder permissions​(AccessControlList permissions)

    - #### inheritPermissions

          public ContentVersion.Builder inheritPermissions​(boolean inheritPermissions)

    - #### build

          public ContentVersion build()